<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
      </profile>
      <profile name="Annotation profile for ops-pro" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <processorPath useClasspath="false">
          <entry name="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-configuration-processor/3.3.4/spring-boot-configuration-processor-3.3.4.jar" />
          <entry name="$MAVEN_REPOSITORY$/org/projectlombok/lombok/1.18.34/lombok-1.18.34.jar" />
          <entry name="$MAVEN_REPOSITORY$/org/mapstruct/mapstruct-processor/1.6.2/mapstruct-processor-1.6.2.jar" />
          <entry name="$MAVEN_REPOSITORY$/org/mapstruct/mapstruct/1.6.2/mapstruct-1.6.2.jar" />
        </processorPath>
        <module name="spring-boot-starter-protection" />
        <module name="spring-boot-starter-monitor" />
        <module name="module-system-biz" />
        <module name="module-ci-process-biz" />
        <module name="module-system-api" />
        <module name="spring-boot-starter-mq" />
        <module name="spring-boot-starter-mongo" />
        <module name="commons" />
        <module name="spring-boot-starter-plugin" />
        <module name="module-ci-engine" />
        <module name="ops-server" />
        <module name="spring-boot-starter-biz-data-permission" />
        <module name="spring-boot-starter-mybatis" />
        <module name="module-ci-process-api" />
        <module name="module-infra-api" />
        <module name="spring-boot-starter-test" />
        <module name="spring-boot-starter-websocket" />
        <module name="system-plugin-example-web" />
        <module name="spring-boot-starter-biz-ip" />
        <module name="module-infra-biz" />
        <module name="module-ci-commons" />
        <module name="spring-boot-starter-job" />
        <module name="module-ci-store" />
        <module name="spring-boot-starter-web" />
        <module name="module-ci-plugin" />
        <module name="spring-boot-starter-excel" />
        <module name="spring-boot-starter-biz-tenant" />
        <module name="spring-boot-starter-redis" />
        <module name="spring-boot-starter-security" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="module-ci-common-pipeline" target="17" />
      <module name="module-ci-dispatch-api" target="17" />
      <module name="module-ci-environment" target="17" />
      <module name="module-ci-event" target="17" />
      <module name="module-ci-log" target="17" />
      <module name="module-ci-market" target="17" />
      <module name="module-ci-project" target="17" />
      <module name="module-ci-quality" target="17" />
      <module name="module-ci-repository" target="17" />
      <module name="module-ci-store-api" target="17" />
      <module name="module-ci-ticket" target="17" />
      <module name="module-ci-worker" target="17" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="app-plugins" options="-parameters" />
      <module name="commons" options="-parameters" />
      <module name="framework" options="-parameters" />
      <module name="module-ci-commons" options="-parameters" />
      <module name="module-ci-engine" options="-parameters" />
      <module name="module-ci-plugin" options="-parameters" />
      <module name="module-ci-process-api" options="-parameters" />
      <module name="module-ci-process-biz" options="-parameters" />
      <module name="module-ci-store" options="-parameters" />
      <module name="module-infra-api" options="-parameters" />
      <module name="module-infra-biz" options="-parameters" />
      <module name="module-system-api" options="-parameters" />
      <module name="module-system-biz" options="-parameters" />
      <module name="modules" options="-parameters" />
      <module name="ops-pro" options="-parameters" />
      <module name="ops-server" options="-parameters" />
      <module name="spring-boot-starter-biz-data-permission" options="-parameters" />
      <module name="spring-boot-starter-biz-ip" options="-parameters" />
      <module name="spring-boot-starter-biz-tenant" options="-parameters" />
      <module name="spring-boot-starter-excel" options="-parameters" />
      <module name="spring-boot-starter-job" options="-parameters" />
      <module name="spring-boot-starter-mongo" options="-parameters" />
      <module name="spring-boot-starter-monitor" options="-parameters" />
      <module name="spring-boot-starter-mq" options="-parameters" />
      <module name="spring-boot-starter-mybatis" options="-parameters" />
      <module name="spring-boot-starter-plugin" options="-parameters" />
      <module name="spring-boot-starter-protection" options="-parameters" />
      <module name="spring-boot-starter-redis" options="-parameters" />
      <module name="spring-boot-starter-security" options="-parameters" />
      <module name="spring-boot-starter-test" options="-parameters" />
      <module name="spring-boot-starter-web" options="-parameters" />
      <module name="spring-boot-starter-websocket" options="-parameters" />
      <module name="system-framework" options="-parameters" />
      <module name="system-plugin-example-web" options="-parameters" />
    </option>
  </component>
</project>